{
  "root": true,
  "env": {
    "browser": true,
    "es2022": true,
    "node": true,
    "worker": true
  },
  "parserOptions": {
    "ecmaVersion": "latest",
    "sourceType": "module",
    "ecmaFeatures": {
      "jsx": true
    }
  },
  "settings": {
    "react": {
      "version": "detect"
    }
  },
  "extends": [
    "eslint:recommended",
    "plugin:react/recommended",
    "plugin:react-hooks/recommended"
  ],
  "rules": {
    "no-unused-vars": ["warn", { "argsIgnorePattern": "^_", "varsIgnorePattern": "^_" }],
    "no-console": "off",
    "react/prop-types": "off",
    "react/react-in-jsx-scope": "off",
    "react/display-name": "off",
    "react-hooks/rules-of-hooks": "error",
    "react-hooks/exhaustive-deps": "warn",
    "no-eval": "error",
    "no-new-func": "error",
    "no-implied-eval": "error",
    "no-empty": "off",
    "react/no-unescaped-entities": "off",
    "no-useless-catch": "warn",
    "no-constant-condition": ["warn", { "checkLoops": false }],
    "no-fallthrough": "warn"
  },
  "ignorePatterns": [
    "build/",
    "dist/",
    "node_modules/",
    "public/kubikon-assets/",
    "*.config.js"
  ]
}
